	.file	"sleepers.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
	.data
	.align 4
	.type	loops, @object
	.size	loops, 4
loops:
	.long	15
	.align 4
	.type	sleepms, @object
	.size	sleepms, 4
sleepms:
	.long	1000
	.local	burn
	.comm	burn,4,4
	.text
	.type	gettid, @function
gettid:
.LFB0:
	.file 1 "sleepers.c"
	.loc 1 18 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$24, %esp
	.loc 1 20 0
	movl	$224, (%esp)
	call	syscall
	.loc 1 24 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE0:
	.size	gettid, .-gettid
	.section	.rodata
.LC0:
	.string	"pid %d Thread %d %s\n"
	.text
	.type	whoami, @function
whoami:
.LFB1:
	.loc 1 28 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	pushl	%esi
	pushl	%ebx
	subl	$32, %esp
	.loc 1 29 0
	.cfi_offset 3, -16
	.cfi_offset 6, -12
	call	gettid
	movl	%eax, %ebx
	call	getpid
	movl	$.LC0, %ecx
	movl	stderr, %edx
	movl	8(%ebp), %esi
	movl	%esi, 16(%esp)
	movl	%ebx, 12(%esp)
	movl	%eax, 8(%esp)
	movl	%ecx, 4(%esp)
	movl	%edx, (%esp)
	call	fprintf
	.loc 1 30 0
	movl	stderr, %eax
	movl	%eax, (%esp)
	call	fflush
	.loc 1 31 0
	addl	$32, %esp
	popl	%ebx
	.cfi_restore 3
	popl	%esi
	.cfi_restore 6
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE1:
	.size	whoami, .-whoami
	.type	do_burn, @function
do_burn:
.LFB2:
	.loc 1 35 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$16, %esp
	.loc 1 37 0
	movl	$0, -4(%ebp)
	.loc 1 39 0
	movl	$0, -8(%ebp)
	jmp	.L6
.L7:
	addl	$1, -4(%ebp)
	addl	$1, -8(%ebp)
.L6:
	movl	burn, %eax
	cmpl	%eax, -8(%ebp)
	jl	.L7
	.loc 1 40 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE2:
	.size	do_burn, .-do_burn
	.local	thread_ready
	.comm	thread_ready,4,4
	.local	ready
	.comm	ready,48,32
	.local	ready_mutex
	.comm	ready_mutex,24,4
	.section	.rodata
.LC1:
	.string	"signal_ready lock error %d_n"
	.align 4
.LC2:
	.string	"signal_ready signal error %d_n"
	.align 4
.LC3:
	.string	"signal_ready unlock error %d_n"
	.text
	.type	signal_ready, @function
signal_ready:
.LFB3:
	.loc 1 46 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$40, %esp
	.loc 1 48 0
	movl	$ready_mutex, (%esp)
	call	pthread_mutex_lock
	movl	%eax, -12(%ebp)
	.loc 1 49 0
	cmpl	$0, -12(%ebp)
	je	.L10
	.loc 1 50 0
	movl	$.LC1, %edx
	movl	stderr, %eax
	movl	-12(%ebp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	fprintf
.L10:
	.loc 1 51 0
	movl	$1, thread_ready
	.loc 1 52 0
	movl	$ready, (%esp)
	call	pthread_cond_signal
	movl	%eax, -12(%ebp)
	.loc 1 53 0
	cmpl	$0, -12(%ebp)
	je	.L11
	.loc 1 54 0
	movl	$.LC2, %edx
	movl	stderr, %eax
	movl	-12(%ebp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	fprintf
.L11:
	.loc 1 55 0
	movl	$ready_mutex, (%esp)
	call	pthread_mutex_unlock
	movl	%eax, -12(%ebp)
	.loc 1 56 0
	cmpl	$0, -12(%ebp)
	je	.L13
	.loc 1 57 0
	movl	$.LC3, %edx
	movl	stderr, %eax
	movl	-12(%ebp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	fprintf
.L13:
	.loc 1 58 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE3:
	.size	signal_ready, .-signal_ready
	.local	t
	.comm	t,32,32
	.local	nr_sleeper_or_burner
	.comm	nr_sleeper_or_burner,4,4
	.data
	.align 4
	.type	report_finished, @object
	.size	report_finished, 4
report_finished:
	.long	1
	.section	.rodata
	.align 4
.LC4:
	.string	"%s ready to sleep and/or burn\n"
	.align 4
.LC5:
	.string	"%s finished to sleep and/or burn\n"
	.text
	.type	sleeper_or_burner, @function
sleeper_or_burner:
.LFB4:
	.loc 1 71 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	pushl	%esi
	pushl	%ebx
	subl	$48, %esp
	.loc 1 72 0
	movl	$0, -16(%ebp)
	.loc 1 73 0
	movl	8(%ebp), %eax
	movl	%eax, -12(%ebp)
	.loc 1 75 0
	movl	-12(%ebp), %eax
	movl	(%eax), %ecx
	movl	$.LC4, %edx
	movl	stderr, %eax
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	.cfi_offset 3, -16
	.cfi_offset 6, -12
	call	fprintf
	.loc 1 76 0
	movl	stderr, %eax
	movl	%eax, (%esp)
	call	fflush
	.loc 1 77 0
	call	signal_ready
	.loc 1 78 0
	movl	nr_sleeper_or_burner, %eax
	addl	$1, %eax
	movl	%eax, nr_sleeper_or_burner
	.loc 1 80 0
	movl	$0, -16(%ebp)
	jmp	.L15
.L18:
	.loc 1 81 0
	movl	sleepms, %eax
	testl	%eax, %eax
	jle	.L16
	movl	-12(%ebp), %eax
	movl	4(%eax), %eax
	testl	%eax, %eax
	je	.L16
	.loc 1 82 0
	movl	-12(%ebp), %eax
	movl	12(%eax), %ebx
	movl	sleepms, %ecx
	movl	$274877907, %edx
	movl	%ecx, %eax
	imull	%edx
	sarl	$6, %edx
	movl	%ecx, %eax
	sarl	$31, %eax
	movl	%edx, %ecx
	subl	%eax, %ecx
	movl	%ecx, %eax
	movl	%eax, t(,%ebx,8)
	.loc 1 83 0
	movl	-12(%ebp), %eax
	movl	12(%eax), %ebx
	movl	sleepms, %ecx
	movl	$274877907, %edx
	movl	%ecx, %eax
	imull	%edx
	sarl	$6, %edx
	movl	%ecx, %eax
	sarl	$31, %eax
	movl	%edx, %esi
	subl	%eax, %esi
	movl	%esi, %eax
	imull	$1000, %eax, %eax
	movl	%ecx, %edx
	subl	%eax, %edx
	movl	%edx, %eax
	imull	$1000, %eax, %eax
	movl	%eax, t+4(,%ebx,8)
	.loc 1 84 0
	movl	-12(%ebp), %eax
	movl	12(%eax), %eax
	sall	$3, %eax
	addl	$t, %eax
	movl	%eax, 16(%esp)
	movl	$0, 12(%esp)
	movl	$0, 8(%esp)
	movl	$0, 4(%esp)
	movl	$0, (%esp)
	call	select
.L16:
	.loc 1 86 0
	movl	burn, %eax
	testl	%eax, %eax
	jle	.L17
	movl	-12(%ebp), %eax
	movl	8(%eax), %eax
	testl	%eax, %eax
	je	.L17
	.loc 1 87 0
	call	do_burn
.L17:
	.loc 1 80 0
	addl	$1, -16(%ebp)
.L15:
	movl	loops, %eax
	cmpl	%eax, -16(%ebp)
	jl	.L18
	.loc 1 89 0
	movl	report_finished, %eax
	testl	%eax, %eax
	je	.L19
	.loc 1 90 0
	movl	-12(%ebp), %eax
	movl	(%eax), %ecx
	movl	$.LC5, %edx
	movl	stderr, %eax
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	fprintf
	.loc 1 91 0
	movl	stderr, %eax
	movl	%eax, (%esp)
	call	fflush
.L19:
	.loc 1 93 0
	movl	$0, %eax
	.loc 1 94 0
	addl	$48, %esp
	popl	%ebx
	.cfi_restore 3
	popl	%esi
	.cfi_restore 6
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE4:
	.size	sleeper_or_burner, .-sleeper_or_burner
	.section	.rodata
.LC6:
	.string	"wait_ready lock error %d_n"
.LC7:
	.string	"wait_ready wait error %d_n"
.LC8:
	.string	"wait_ready unlock error %d_n"
	.text
	.type	wait_ready, @function
wait_ready:
.LFB5:
	.loc 1 98 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$40, %esp
	.loc 1 100 0
	movl	$ready_mutex, (%esp)
	call	pthread_mutex_lock
	movl	%eax, -12(%ebp)
	.loc 1 101 0
	cmpl	$0, -12(%ebp)
	je	.L28
	.loc 1 102 0
	movl	$.LC6, %edx
	movl	stderr, %eax
	movl	-12(%ebp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	fprintf
	.loc 1 103 0
	jmp	.L23
.L25:
	.loc 1 104 0
	movl	$ready_mutex, 4(%esp)
	movl	$ready, (%esp)
	call	pthread_cond_wait
	movl	%eax, -12(%ebp)
	.loc 1 105 0
	cmpl	$0, -12(%ebp)
	je	.L23
	.loc 1 106 0
	movl	$.LC7, %edx
	movl	stderr, %eax
	movl	-12(%ebp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	fprintf
	jmp	.L23
.L28:
	.loc 1 103 0
	nop
.L23:
	movl	thread_ready, %eax
	testl	%eax, %eax
	jne	.L24
	cmpl	$0, -12(%ebp)
	je	.L25
.L24:
	.loc 1 108 0
	movl	$0, thread_ready
	.loc 1 109 0
	movl	$ready_mutex, (%esp)
	call	pthread_mutex_unlock
	movl	%eax, -12(%ebp)
	.loc 1 110 0
	cmpl	$0, -12(%ebp)
	je	.L27
	.loc 1 111 0
	movl	$.LC8, %edx
	movl	stderr, %eax
	movl	-12(%ebp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	fprintf
.L27:
	.loc 1 112 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE5:
	.size	wait_ready, .-wait_ready
	.type	setaffinity, @function
setaffinity:
.LFB6:
	.loc 1 119 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	pushl	%esi
	pushl	%ebx
	subl	$160, %esp
	.loc 1 122 0
	movl	$128, 8(%esp)
	movl	$0, 4(%esp)
	leal	-140(%ebp), %eax
	movl	%eax, (%esp)
	.cfi_offset 3, -16
	.cfi_offset 6, -12
	call	memset
.LBB2:
	.loc 1 123 0
	movl	$1, -12(%ebp)
	cmpl	$1023, -12(%ebp)
	ja	.L31
	movl	-12(%ebp), %eax
	movl	%eax, %edx
	shrl	$5, %edx
	leal	0(,%edx,4), %ecx
	leal	-140(%ebp), %eax
	addl	%ecx, %eax
	leal	0(,%edx,4), %ecx
	leal	-140(%ebp), %edx
	addl	%ecx, %edx
	movl	(%edx), %edx
	movl	-12(%ebp), %ecx
	andl	$31, %ecx
	movl	$1, %ebx
	movl	%ebx, %esi
	sall	%cl, %esi
	movl	%esi, %ecx
	orl	%ecx, %edx
	movl	%edx, (%eax)
.L31:
.LBE2:
	.loc 1 124 0
	leal	-140(%ebp), %eax
	movl	%eax, 8(%esp)
	movl	$128, 4(%esp)
	movl	$0, (%esp)
	call	sched_setaffinity
	.loc 1 127 0
	addl	$160, %esp
	popl	%ebx
	.cfi_restore 3
	popl	%esi
	.cfi_restore 6
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE6:
	.size	setaffinity, .-setaffinity
	.section	.rodata
.LC9:
	.string	"BSBSBSBS"
	.align 4
.LC10:
	.string	"loops/sleep_ms/burn/threads_spec:  %d %d %d %s\n"
.LC11:
	.string	"Brussels"
.LC12:
	.string	"London"
.LC13:
	.string	"Petaouchnok"
.LC14:
	.string	"main"
	.text
.globl main
	.type	main, @function
main:
.LFB7:
	.loc 1 130 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	andl	$-16, %esp
	pushl	%edi
	pushl	%esi
	pushl	%ebx
	subl	$132, %esp
	.loc 1 134 0
	movl	$100, (%esp)
	.cfi_escape 0x10,0x3,0x7,0x75,0x0,0x9,0xf0,0x1a,0x3c,0x1c
	.cfi_escape 0x10,0x6,0x7,0x75,0x0,0x9,0xf0,0x1a,0x38,0x1c
	.cfi_escape 0x10,0x7,0x7,0x75,0x0,0x9,0xf0,0x1a,0x34,0x1c
	call	malloc
	movl	%eax, 124(%esp)
	.loc 1 135 0
	call	setaffinity
	.loc 1 137 0
	cmpl	$1, 8(%ebp)
	jle	.L34
	.loc 1 138 0
	movl	12(%ebp), %eax
	addl	$4, %eax
	movl	(%eax), %eax
	movl	%eax, (%esp)
	call	atoi
	movl	%eax, loops
.L34:
	.loc 1 140 0
	cmpl	$2, 8(%ebp)
	jle	.L35
	.loc 1 141 0
	movl	12(%ebp), %eax
	addl	$8, %eax
	movl	(%eax), %eax
	movl	%eax, (%esp)
	call	atoi
	movl	%eax, sleepms
.L35:
	.loc 1 143 0
	cmpl	$3, 8(%ebp)
	jle	.L36
	.loc 1 144 0
	movl	12(%ebp), %eax
	addl	$12, %eax
	movl	(%eax), %eax
	movl	%eax, (%esp)
	call	atoll
	movl	%eax, burn
.L36:
	.loc 1 146 0
	cmpl	$4, 8(%ebp)
	jle	.L37
	.loc 1 147 0
	movl	12(%ebp), %eax
	addl	$16, %eax
	movl	(%eax), %eax
	movl	%eax, 120(%esp)
	jmp	.L38
.L37:
	.loc 1 149 0
	movl	$.LC9, 120(%esp)
.L38:
	.loc 1 151 0
	movl	burn, %esi
	movl	sleepms, %ebx
	movl	loops, %ecx
	movl	$.LC10, %edx
	movl	stderr, %eax
	movl	120(%esp), %edi
	movl	%edi, 20(%esp)
	movl	%esi, 16(%esp)
	movl	%ebx, 12(%esp)
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	fprintf
	.loc 1 153 0
	movl	stderr, %eax
	movl	%eax, (%esp)
	call	fflush
	.loc 1 155 0
	movl	$.LC11, 92(%esp)
	.loc 1 156 0
	movl	120(%esp), %eax
	movzbl	(%eax), %eax
	cmpb	$66, %al
	sete	%al
	movzbl	%al, %eax
	movl	%eax, 100(%esp)
	addl	$1, 120(%esp)
	.loc 1 157 0
	movl	120(%esp), %eax
	movzbl	(%eax), %eax
	cmpb	$83, %al
	sete	%al
	movzbl	%al, %eax
	movl	%eax, 96(%esp)
	addl	$1, 120(%esp)
	.loc 1 158 0
	movl	$-1, 104(%esp)
	.loc 1 159 0
	movl	100(%esp), %eax
	testl	%eax, %eax
	jne	.L39
	movl	96(%esp), %eax
	testl	%eax, %eax
	je	.L40
.L39:
	.loc 1 160 0
	movl	$1, 104(%esp)
	.loc 1 161 0
	leal	92(%esp), %eax
	movl	%eax, 12(%esp)
	movl	$sleeper_or_burner, 8(%esp)
	movl	$0, 4(%esp)
	leal	116(%esp), %eax
	movl	%eax, (%esp)
	call	pthread_create
	.loc 1 162 0
	call	wait_ready
.L40:
	.loc 1 165 0
	movl	$.LC12, 76(%esp)
	.loc 1 166 0
	movl	120(%esp), %eax
	movzbl	(%eax), %eax
	cmpb	$66, %al
	sete	%al
	movzbl	%al, %eax
	movl	%eax, 84(%esp)
	addl	$1, 120(%esp)
	.loc 1 167 0
	movl	120(%esp), %eax
	movzbl	(%eax), %eax
	cmpb	$83, %al
	sete	%al
	movzbl	%al, %eax
	movl	%eax, 80(%esp)
	addl	$1, 120(%esp)
	.loc 1 168 0
	movl	$-1, 88(%esp)
	.loc 1 169 0
	movl	84(%esp), %eax
	testl	%eax, %eax
	jne	.L41
	movl	80(%esp), %eax
	testl	%eax, %eax
	je	.L42
.L41:
	.loc 1 170 0
	movl	$2, 88(%esp)
	.loc 1 171 0
	leal	76(%esp), %eax
	movl	%eax, 12(%esp)
	movl	$sleeper_or_burner, 8(%esp)
	movl	$0, 4(%esp)
	leal	112(%esp), %eax
	movl	%eax, (%esp)
	call	pthread_create
	.loc 1 172 0
	call	wait_ready
.L42:
	.loc 1 175 0
	movl	$.LC13, 60(%esp)
	.loc 1 176 0
	movl	120(%esp), %eax
	movzbl	(%eax), %eax
	cmpb	$66, %al
	sete	%al
	movzbl	%al, %eax
	movl	%eax, 68(%esp)
	addl	$1, 120(%esp)
	.loc 1 177 0
	movl	120(%esp), %eax
	movzbl	(%eax), %eax
	cmpb	$83, %al
	sete	%al
	movzbl	%al, %eax
	movl	%eax, 64(%esp)
	addl	$1, 120(%esp)
	.loc 1 178 0
	movl	$-1, 72(%esp)
	.loc 1 179 0
	movl	68(%esp), %eax
	testl	%eax, %eax
	jne	.L43
	movl	64(%esp), %eax
	testl	%eax, %eax
	je	.L44
.L43:
	.loc 1 180 0
	movl	$3, 72(%esp)
	.loc 1 181 0
	leal	60(%esp), %eax
	movl	%eax, 12(%esp)
	movl	$sleeper_or_burner, 8(%esp)
	movl	$0, 4(%esp)
	leal	108(%esp), %eax
	movl	%eax, (%esp)
	call	pthread_create
	.loc 1 182 0
	call	wait_ready
.L44:
	.loc 1 185 0
	movl	$.LC14, 44(%esp)
	.loc 1 186 0
	movl	120(%esp), %eax
	movzbl	(%eax), %eax
	cmpb	$66, %al
	sete	%al
	movzbl	%al, %eax
	movl	%eax, 52(%esp)
	addl	$1, 120(%esp)
	.loc 1 187 0
	movl	120(%esp), %eax
	movzbl	(%eax), %eax
	cmpb	$83, %al
	sete	%al
	movzbl	%al, %eax
	movl	%eax, 48(%esp)
	addl	$1, 120(%esp)
	.loc 1 188 0
	movl	$0, 56(%esp)
	.loc 1 189 0
	leal	44(%esp), %eax
	movl	%eax, (%esp)
	call	sleeper_or_burner
	.loc 1 191 0
	movl	104(%esp), %eax
	cmpl	$-1, %eax
	je	.L45
	movl	116(%esp), %eax
	movl	$0, 4(%esp)
	movl	%eax, (%esp)
	call	pthread_join
.L45:
	.loc 1 192 0
	movl	88(%esp), %eax
	cmpl	$-1, %eax
	je	.L46
	movl	112(%esp), %eax
	movl	$0, 4(%esp)
	movl	%eax, (%esp)
	call	pthread_join
.L46:
	.loc 1 193 0
	movl	72(%esp), %eax
	cmpl	$-1, %eax
	je	.L47
	movl	108(%esp), %eax
	movl	$0, 4(%esp)
	movl	%eax, (%esp)
	call	pthread_join
.L47:
	.loc 1 195 0
	movl	$0, %eax
	.loc 1 196 0
	addl	$132, %esp
	popl	%ebx
	.cfi_restore 3
	popl	%esi
	.cfi_restore 6
	popl	%edi
	.cfi_restore 7
	movl	%ebp, %esp
	.cfi_def_cfa_register 4
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa_offset 4
	ret
	.cfi_endproc
.LFE7:
	.size	main, .-main
.Letext0:
	.file 2 "/usr/lib/gcc/i686-redhat-linux/4.4.5/include/stddef.h"
	.file 3 "/usr/include/bits/types.h"
	.file 4 "/usr/include/sched.h"
	.file 5 "/usr/include/bits/sched.h"
	.file 6 "/usr/include/bits/pthreadtypes.h"
	.file 7 "/usr/include/bits/time.h"
	.file 8 "/usr/include/libio.h"
	.file 9 "/usr/include/stdio.h"
	.section	.debug_info
	.long	0x7b4
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF108
	.byte	0x1
	.long	.LASF109
	.long	.LASF110
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.long	.LASF9
	.byte	0x2
	.byte	0xd3
	.long	0x30
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF0
	.uleb128 0x3
	.byte	0x2
	.byte	0x7
	.long	.LASF1
	.uleb128 0x4
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF2
	.uleb128 0x3
	.byte	0x1
	.byte	0x8
	.long	.LASF3
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF4
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF5
	.uleb128 0x3
	.byte	0x2
	.byte	0x5
	.long	.LASF6
	.uleb128 0x3
	.byte	0x8
	.byte	0x5
	.long	.LASF7
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF8
	.uleb128 0x2
	.long	.LASF10
	.byte	0x3
	.byte	0x38
	.long	0x68
	.uleb128 0x2
	.long	.LASF11
	.byte	0x3
	.byte	0x8d
	.long	0x8c
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.long	.LASF12
	.uleb128 0x2
	.long	.LASF13
	.byte	0x3
	.byte	0x8e
	.long	0x76
	.uleb128 0x2
	.long	.LASF14
	.byte	0x3
	.byte	0x8f
	.long	0x3e
	.uleb128 0x2
	.long	.LASF15
	.byte	0x3
	.byte	0x95
	.long	0x8c
	.uleb128 0x2
	.long	.LASF16
	.byte	0x3
	.byte	0x97
	.long	0x8c
	.uleb128 0x5
	.byte	0x4
	.uleb128 0x6
	.byte	0x4
	.long	0x45
	.uleb128 0x2
	.long	.LASF17
	.byte	0x4
	.byte	0x25
	.long	0x9e
	.uleb128 0x2
	.long	.LASF18
	.byte	0x5
	.byte	0x74
	.long	0x53
	.uleb128 0x7
	.byte	0x80
	.byte	0x5
	.byte	0x7c
	.long	0xf2
	.uleb128 0x8
	.long	.LASF21
	.byte	0x5
	.byte	0x7d
	.long	0xf2
	.sleb128 0
	.byte	0x0
	.uleb128 0x9
	.long	0xd2
	.long	0x102
	.uleb128 0xa
	.long	0x30
	.byte	0x1f
	.byte	0x0
	.uleb128 0x2
	.long	.LASF19
	.byte	0x5
	.byte	0x7e
	.long	0xdd
	.uleb128 0x2
	.long	.LASF20
	.byte	0x6
	.byte	0x24
	.long	0x53
	.uleb128 0xb
	.long	.LASF26
	.byte	0x4
	.byte	0x6
	.byte	0x2f
	.long	0x131
	.uleb128 0x8
	.long	.LASF22
	.byte	0x6
	.byte	0x30
	.long	0x131
	.sleb128 0
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x118
	.uleb128 0x2
	.long	.LASF23
	.byte	0x6
	.byte	0x31
	.long	0x118
	.uleb128 0xc
	.byte	0x4
	.byte	0x6
	.byte	0x42
	.long	0x161
	.uleb128 0xd
	.long	.LASF24
	.byte	0x6
	.byte	0x43
	.long	0x3e
	.uleb128 0xd
	.long	.LASF25
	.byte	0x6
	.byte	0x44
	.long	0x137
	.byte	0x0
	.uleb128 0xb
	.long	.LASF27
	.byte	0x18
	.byte	0x6
	.byte	0x39
	.long	0x1b0
	.uleb128 0x8
	.long	.LASF28
	.byte	0x6
	.byte	0x3a
	.long	0x3e
	.sleb128 0
	.uleb128 0x8
	.long	.LASF29
	.byte	0x6
	.byte	0x3b
	.long	0x30
	.sleb128 4
	.uleb128 0x8
	.long	.LASF30
	.byte	0x6
	.byte	0x3c
	.long	0x3e
	.sleb128 8
	.uleb128 0x8
	.long	.LASF31
	.byte	0x6
	.byte	0x3f
	.long	0x3e
	.sleb128 12
	.uleb128 0x8
	.long	.LASF32
	.byte	0x6
	.byte	0x40
	.long	0x30
	.sleb128 16
	.uleb128 0xe
	.long	0x142
	.sleb128 20
	.byte	0x0
	.uleb128 0xc
	.byte	0x18
	.byte	0x6
	.byte	0x37
	.long	0x1da
	.uleb128 0xd
	.long	.LASF33
	.byte	0x6
	.byte	0x46
	.long	0x161
	.uleb128 0xd
	.long	.LASF34
	.byte	0x6
	.byte	0x47
	.long	0x1da
	.uleb128 0xd
	.long	.LASF35
	.byte	0x6
	.byte	0x48
	.long	0x8c
	.byte	0x0
	.uleb128 0x9
	.long	0x45
	.long	0x1ea
	.uleb128 0xa
	.long	0x30
	.byte	0x17
	.byte	0x0
	.uleb128 0x2
	.long	.LASF36
	.byte	0x6
	.byte	0x49
	.long	0x1b0
	.uleb128 0x7
	.byte	0x2c
	.byte	0x6
	.byte	0x57
	.long	0x25e
	.uleb128 0x8
	.long	.LASF28
	.byte	0x6
	.byte	0x58
	.long	0x3e
	.sleb128 0
	.uleb128 0x8
	.long	.LASF37
	.byte	0x6
	.byte	0x59
	.long	0x30
	.sleb128 4
	.uleb128 0x8
	.long	.LASF38
	.byte	0x6
	.byte	0x5a
	.long	0x6f
	.sleb128 8
	.uleb128 0x8
	.long	.LASF39
	.byte	0x6
	.byte	0x5b
	.long	0x6f
	.sleb128 16
	.uleb128 0x8
	.long	.LASF40
	.byte	0x6
	.byte	0x5c
	.long	0x6f
	.sleb128 24
	.uleb128 0x8
	.long	.LASF41
	.byte	0x6
	.byte	0x5d
	.long	0xbf
	.sleb128 32
	.uleb128 0x8
	.long	.LASF42
	.byte	0x6
	.byte	0x5e
	.long	0x30
	.sleb128 36
	.uleb128 0x8
	.long	.LASF43
	.byte	0x6
	.byte	0x5f
	.long	0x30
	.sleb128 40
	.byte	0x0
	.uleb128 0xc
	.byte	0x30
	.byte	0x6
	.byte	0x55
	.long	0x288
	.uleb128 0xd
	.long	.LASF33
	.byte	0x6
	.byte	0x60
	.long	0x1f5
	.uleb128 0xd
	.long	.LASF34
	.byte	0x6
	.byte	0x61
	.long	0x288
	.uleb128 0xd
	.long	.LASF35
	.byte	0x6
	.byte	0x62
	.long	0x68
	.byte	0x0
	.uleb128 0x9
	.long	0x45
	.long	0x298
	.uleb128 0xa
	.long	0x30
	.byte	0x2f
	.byte	0x0
	.uleb128 0x2
	.long	.LASF44
	.byte	0x6
	.byte	0x63
	.long	0x25e
	.uleb128 0xf
	.long	0x3e
	.uleb128 0xb
	.long	.LASF45
	.byte	0x8
	.byte	0x7
	.byte	0x4c
	.long	0x2cd
	.uleb128 0x8
	.long	.LASF46
	.byte	0x7
	.byte	0x4d
	.long	0xa9
	.sleb128 0
	.uleb128 0x8
	.long	.LASF47
	.byte	0x7
	.byte	0x4e
	.long	0xb4
	.sleb128 4
	.byte	0x0
	.uleb128 0x10
	.long	.LASF48
	.byte	0x94
	.byte	0x8
	.value	0x10f
	.long	0x461
	.uleb128 0x11
	.long	.LASF49
	.byte	0x8
	.value	0x110
	.long	0x3e
	.sleb128 0
	.uleb128 0x11
	.long	.LASF50
	.byte	0x8
	.value	0x115
	.long	0xc1
	.sleb128 4
	.uleb128 0x11
	.long	.LASF51
	.byte	0x8
	.value	0x116
	.long	0xc1
	.sleb128 8
	.uleb128 0x11
	.long	.LASF52
	.byte	0x8
	.value	0x117
	.long	0xc1
	.sleb128 12
	.uleb128 0x11
	.long	.LASF53
	.byte	0x8
	.value	0x118
	.long	0xc1
	.sleb128 16
	.uleb128 0x11
	.long	.LASF54
	.byte	0x8
	.value	0x119
	.long	0xc1
	.sleb128 20
	.uleb128 0x11
	.long	.LASF55
	.byte	0x8
	.value	0x11a
	.long	0xc1
	.sleb128 24
	.uleb128 0x11
	.long	.LASF56
	.byte	0x8
	.value	0x11b
	.long	0xc1
	.sleb128 28
	.uleb128 0x11
	.long	.LASF57
	.byte	0x8
	.value	0x11c
	.long	0xc1
	.sleb128 32
	.uleb128 0x11
	.long	.LASF58
	.byte	0x8
	.value	0x11e
	.long	0xc1
	.sleb128 36
	.uleb128 0x11
	.long	.LASF59
	.byte	0x8
	.value	0x11f
	.long	0xc1
	.sleb128 40
	.uleb128 0x11
	.long	.LASF60
	.byte	0x8
	.value	0x120
	.long	0xc1
	.sleb128 44
	.uleb128 0x11
	.long	.LASF61
	.byte	0x8
	.value	0x122
	.long	0x499
	.sleb128 48
	.uleb128 0x11
	.long	.LASF62
	.byte	0x8
	.value	0x124
	.long	0x49f
	.sleb128 52
	.uleb128 0x11
	.long	.LASF63
	.byte	0x8
	.value	0x126
	.long	0x3e
	.sleb128 56
	.uleb128 0x11
	.long	.LASF64
	.byte	0x8
	.value	0x12a
	.long	0x3e
	.sleb128 60
	.uleb128 0x11
	.long	.LASF65
	.byte	0x8
	.value	0x12c
	.long	0x81
	.sleb128 64
	.uleb128 0x11
	.long	.LASF66
	.byte	0x8
	.value	0x130
	.long	0x37
	.sleb128 68
	.uleb128 0x11
	.long	.LASF67
	.byte	0x8
	.value	0x131
	.long	0x5a
	.sleb128 70
	.uleb128 0x11
	.long	.LASF68
	.byte	0x8
	.value	0x132
	.long	0x4a5
	.sleb128 71
	.uleb128 0x11
	.long	.LASF69
	.byte	0x8
	.value	0x136
	.long	0x4b5
	.sleb128 72
	.uleb128 0x11
	.long	.LASF70
	.byte	0x8
	.value	0x13f
	.long	0x93
	.sleb128 76
	.uleb128 0x11
	.long	.LASF71
	.byte	0x8
	.value	0x148
	.long	0xbf
	.sleb128 84
	.uleb128 0x11
	.long	.LASF72
	.byte	0x8
	.value	0x149
	.long	0xbf
	.sleb128 88
	.uleb128 0x11
	.long	.LASF73
	.byte	0x8
	.value	0x14a
	.long	0xbf
	.sleb128 92
	.uleb128 0x11
	.long	.LASF74
	.byte	0x8
	.value	0x14b
	.long	0xbf
	.sleb128 96
	.uleb128 0x11
	.long	.LASF75
	.byte	0x8
	.value	0x14c
	.long	0x25
	.sleb128 100
	.uleb128 0x11
	.long	.LASF76
	.byte	0x8
	.value	0x14e
	.long	0x3e
	.sleb128 104
	.uleb128 0x11
	.long	.LASF77
	.byte	0x8
	.value	0x150
	.long	0x4bb
	.sleb128 108
	.byte	0x0
	.uleb128 0x12
	.long	.LASF111
	.byte	0x8
	.byte	0xb4
	.uleb128 0xb
	.long	.LASF78
	.byte	0xc
	.byte	0x8
	.byte	0xba
	.long	0x499
	.uleb128 0x8
	.long	.LASF79
	.byte	0x8
	.byte	0xbb
	.long	0x499
	.sleb128 0
	.uleb128 0x8
	.long	.LASF80
	.byte	0x8
	.byte	0xbc
	.long	0x49f
	.sleb128 4
	.uleb128 0x8
	.long	.LASF81
	.byte	0x8
	.byte	0xc0
	.long	0x3e
	.sleb128 8
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x468
	.uleb128 0x6
	.byte	0x4
	.long	0x2cd
	.uleb128 0x9
	.long	0x45
	.long	0x4b5
	.uleb128 0xa
	.long	0x30
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x461
	.uleb128 0x9
	.long	0x45
	.long	0x4cb
	.uleb128 0xa
	.long	0x30
	.byte	0x27
	.byte	0x0
	.uleb128 0xb
	.long	.LASF82
	.byte	0x10
	.byte	0x1
	.byte	0x3c
	.long	0x506
	.uleb128 0x8
	.long	.LASF83
	.byte	0x1
	.byte	0x3d
	.long	0xc1
	.sleb128 0
	.uleb128 0x8
	.long	.LASF84
	.byte	0x1
	.byte	0x3e
	.long	0x3e
	.sleb128 4
	.uleb128 0x8
	.long	.LASF85
	.byte	0x1
	.byte	0x3f
	.long	0x3e
	.sleb128 8
	.uleb128 0x13
	.string	"t"
	.byte	0x1
	.byte	0x40
	.long	0x3e
	.sleb128 12
	.byte	0x0
	.uleb128 0x14
	.long	.LASF112
	.byte	0x1
	.byte	0x11
	.long	0xc7
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.uleb128 0x15
	.long	.LASF87
	.byte	0x1
	.byte	0x1b
	.byte	0x1
	.long	.LFB1
	.long	.LFE1
	.byte	0x1
	.byte	0x9c
	.long	0x540
	.uleb128 0x16
	.string	"msg"
	.byte	0x1
	.byte	0x1b
	.long	0xc1
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.byte	0x0
	.uleb128 0x17
	.long	.LASF113
	.byte	0x1
	.byte	0x22
	.long	.LFB2
	.long	.LFE2
	.byte	0x1
	.byte	0x9c
	.long	0x570
	.uleb128 0x18
	.string	"i"
	.byte	0x1
	.byte	0x24
	.long	0x3e
	.byte	0x2
	.byte	0x91
	.sleb128 -16
	.uleb128 0x19
	.long	.LASF86
	.byte	0x1
	.byte	0x25
	.long	0x3e
	.byte	0x2
	.byte	0x91
	.sleb128 -12
	.byte	0x0
	.uleb128 0x15
	.long	.LASF88
	.byte	0x1
	.byte	0x2d
	.byte	0x1
	.long	.LFB3
	.long	.LFE3
	.byte	0x1
	.byte	0x9c
	.long	0x594
	.uleb128 0x18
	.string	"rc"
	.byte	0x1
	.byte	0x2f
	.long	0x3e
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.byte	0x0
	.uleb128 0x1a
	.long	.LASF114
	.byte	0x1
	.byte	0x46
	.byte	0x1
	.long	0xbf
	.long	.LFB4
	.long	.LFE4
	.byte	0x1
	.byte	0x9c
	.long	0x5d3
	.uleb128 0x16
	.string	"v"
	.byte	0x1
	.byte	0x46
	.long	0xbf
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x18
	.string	"i"
	.byte	0x1
	.byte	0x48
	.long	0x3e
	.byte	0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0x18
	.string	"s"
	.byte	0x1
	.byte	0x49
	.long	0x5d3
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x4cb
	.uleb128 0x15
	.long	.LASF89
	.byte	0x1
	.byte	0x61
	.byte	0x1
	.long	.LFB5
	.long	.LFE5
	.byte	0x1
	.byte	0x9c
	.long	0x5fd
	.uleb128 0x18
	.string	"rc"
	.byte	0x1
	.byte	0x63
	.long	0x3e
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.byte	0x0
	.uleb128 0x15
	.long	.LASF90
	.byte	0x1
	.byte	0x76
	.byte	0x1
	.long	.LFB6
	.long	.LFE6
	.byte	0x1
	.byte	0x9c
	.long	0x63b
	.uleb128 0x19
	.long	.LASF91
	.byte	0x1
	.byte	0x79
	.long	0x102
	.byte	0x3
	.byte	0x91
	.sleb128 -148
	.uleb128 0x1b
	.long	.LBB2
	.long	.LBE2
	.uleb128 0x19
	.long	.LASF92
	.byte	0x1
	.byte	0x7b
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.byte	0x0
	.byte	0x0
	.uleb128 0x1c
	.byte	0x1
	.long	.LASF115
	.byte	0x1
	.byte	0x81
	.byte	0x1
	.long	0x3e
	.long	.LFB7
	.long	.LFE7
	.byte	0x1
	.byte	0x9c
	.long	0x6f0
	.uleb128 0x1d
	.long	.LASF93
	.byte	0x1
	.byte	0x81
	.long	0x3e
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x1d
	.long	.LASF94
	.byte	0x1
	.byte	0x81
	.long	0x6f0
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x19
	.long	.LASF95
	.byte	0x1
	.byte	0x83
	.long	0xc1
	.byte	0x3
	.byte	0x74
	.sleb128 120
	.uleb128 0x19
	.long	.LASF96
	.byte	0x1
	.byte	0x84
	.long	0x10d
	.byte	0x3
	.byte	0x74
	.sleb128 116
	.uleb128 0x19
	.long	.LASF97
	.byte	0x1
	.byte	0x84
	.long	0x10d
	.byte	0x3
	.byte	0x74
	.sleb128 112
	.uleb128 0x19
	.long	.LASF98
	.byte	0x1
	.byte	0x84
	.long	0x10d
	.byte	0x3
	.byte	0x74
	.sleb128 108
	.uleb128 0x18
	.string	"b"
	.byte	0x1
	.byte	0x85
	.long	0x4cb
	.byte	0x3
	.byte	0x74
	.sleb128 92
	.uleb128 0x18
	.string	"l"
	.byte	0x1
	.byte	0x85
	.long	0x4cb
	.byte	0x3
	.byte	0x74
	.sleb128 76
	.uleb128 0x18
	.string	"p"
	.byte	0x1
	.byte	0x85
	.long	0x4cb
	.byte	0x2
	.byte	0x74
	.sleb128 60
	.uleb128 0x18
	.string	"m"
	.byte	0x1
	.byte	0x85
	.long	0x4cb
	.byte	0x2
	.byte	0x74
	.sleb128 44
	.uleb128 0x19
	.long	.LASF99
	.byte	0x1
	.byte	0x86
	.long	0xc1
	.byte	0x3
	.byte	0x74
	.sleb128 124
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0xc1
	.uleb128 0x1e
	.long	.LASF107
	.byte	0x9
	.byte	0xa7
	.long	0x49f
	.byte	0x1
	.byte	0x1
	.uleb128 0x19
	.long	.LASF100
	.byte	0x1
	.byte	0xc
	.long	0x3e
	.byte	0x5
	.byte	0x3
	.long	loops
	.uleb128 0x19
	.long	.LASF101
	.byte	0x1
	.byte	0xd
	.long	0x3e
	.byte	0x5
	.byte	0x3
	.long	sleepms
	.uleb128 0x19
	.long	.LASF85
	.byte	0x1
	.byte	0xe
	.long	0x3e
	.byte	0x5
	.byte	0x3
	.long	burn
	.uleb128 0x19
	.long	.LASF102
	.byte	0x1
	.byte	0x2a
	.long	0x3e
	.byte	0x5
	.byte	0x3
	.long	thread_ready
	.uleb128 0x19
	.long	.LASF103
	.byte	0x1
	.byte	0x2b
	.long	0x298
	.byte	0x5
	.byte	0x3
	.long	ready
	.uleb128 0x19
	.long	.LASF104
	.byte	0x1
	.byte	0x2c
	.long	0x1ea
	.byte	0x5
	.byte	0x3
	.long	ready_mutex
	.uleb128 0x9
	.long	0x2a8
	.long	0x779
	.uleb128 0xa
	.long	0x30
	.byte	0x3
	.byte	0x0
	.uleb128 0x18
	.string	"t"
	.byte	0x1
	.byte	0x42
	.long	0x769
	.byte	0x5
	.byte	0x3
	.long	t
	.uleb128 0x19
	.long	.LASF105
	.byte	0x1
	.byte	0x43
	.long	0x3e
	.byte	0x5
	.byte	0x3
	.long	nr_sleeper_or_burner
	.uleb128 0x19
	.long	.LASF106
	.byte	0x1
	.byte	0x44
	.long	0x2a3
	.byte	0x5
	.byte	0x3
	.long	report_finished
	.uleb128 0x1e
	.long	.LASF107
	.byte	0x9
	.byte	0xa7
	.long	0x49f
	.byte	0x1
	.byte	0x1
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0x13
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xa
	.uleb128 0x21
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xb
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xc
	.uleb128 0x17
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xd
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xe
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0xf
	.uleb128 0x35
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x10
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x11
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0x12
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0x13
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0x14
	.uleb128 0x2e
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x15
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x16
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x17
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x18
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x19
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x1a
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x1b
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.byte	0x0
	.byte	0x0
	.uleb128 0x1c
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x1d
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x1e
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3c
	.uleb128 0xc
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x17
	.value	0x2
	.long	.Ldebug_info0
	.long	0x7b8
	.long	0x63b
	.string	"main"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0x150
	.value	0x2
	.long	.Ldebug_info0
	.long	0x7b8
	.long	0x25
	.string	"size_t"
	.long	0x76
	.string	"__quad_t"
	.long	0x81
	.string	"__off_t"
	.long	0x93
	.string	"__off64_t"
	.long	0x9e
	.string	"__pid_t"
	.long	0xa9
	.string	"__time_t"
	.long	0xb4
	.string	"__suseconds_t"
	.long	0xc7
	.string	"pid_t"
	.long	0xd2
	.string	"__cpu_mask"
	.long	0x102
	.string	"cpu_set_t"
	.long	0x10d
	.string	"pthread_t"
	.long	0x118
	.string	"__pthread_internal_slist"
	.long	0x137
	.string	"__pthread_slist_t"
	.long	0x161
	.string	"__pthread_mutex_s"
	.long	0x1ea
	.string	"pthread_mutex_t"
	.long	0x298
	.string	"pthread_cond_t"
	.long	0x2a8
	.string	"timeval"
	.long	0x461
	.string	"_IO_lock_t"
	.long	0x468
	.string	"_IO_marker"
	.long	0x2cd
	.string	"_IO_FILE"
	.long	0x4cb
	.string	"spec"
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF11:
	.string	"__off_t"
.LASF100:
	.string	"loops"
.LASF62:
	.string	"_chain"
.LASF42:
	.string	"__nwaiters"
.LASF9:
	.string	"size_t"
.LASF16:
	.string	"__suseconds_t"
.LASF68:
	.string	"_shortbuf"
.LASF5:
	.string	"signed char"
.LASF50:
	.string	"_IO_read_ptr"
.LASF34:
	.string	"__size"
.LASF112:
	.string	"gettid"
.LASF56:
	.string	"_IO_buf_base"
.LASF8:
	.string	"long long unsigned int"
.LASF22:
	.string	"__next"
.LASF105:
	.string	"nr_sleeper_or_burner"
.LASF7:
	.string	"long long int"
.LASF103:
	.string	"ready"
.LASF97:
	.string	"egll"
.LASF21:
	.string	"__bits"
.LASF63:
	.string	"_fileno"
.LASF51:
	.string	"_IO_read_end"
.LASF12:
	.string	"long int"
.LASF113:
	.string	"do_burn"
.LASF49:
	.string	"_flags"
.LASF57:
	.string	"_IO_buf_end"
.LASF66:
	.string	"_cur_column"
.LASF28:
	.string	"__lock"
.LASF10:
	.string	"__quad_t"
.LASF54:
	.string	"_IO_write_ptr"
.LASF65:
	.string	"_old_offset"
.LASF70:
	.string	"_offset"
.LASF40:
	.string	"__woken_seq"
.LASF101:
	.string	"sleepms"
.LASF27:
	.string	"__pthread_mutex_s"
.LASF74:
	.string	"__pad4"
.LASF78:
	.string	"_IO_marker"
.LASF0:
	.string	"unsigned int"
.LASF35:
	.string	"__align"
.LASF4:
	.string	"long unsigned int"
.LASF82:
	.string	"spec"
.LASF88:
	.string	"signal_ready"
.LASF41:
	.string	"__mutex"
.LASF33:
	.string	"__data"
.LASF83:
	.string	"name"
.LASF99:
	.string	"some_mem"
.LASF80:
	.string	"_sbuf"
.LASF38:
	.string	"__total_seq"
.LASF1:
	.string	"short unsigned int"
.LASF84:
	.string	"sleep"
.LASF43:
	.string	"__broadcast_seq"
.LASF58:
	.string	"_IO_save_base"
.LASF89:
	.string	"wait_ready"
.LASF69:
	.string	"_lock"
.LASF64:
	.string	"_flags2"
.LASF45:
	.string	"timeval"
.LASF114:
	.string	"sleeper_or_burner"
.LASF30:
	.string	"__owner"
.LASF46:
	.string	"tv_sec"
.LASF115:
	.string	"main"
.LASF55:
	.string	"_IO_write_end"
.LASF86:
	.string	"loopnr"
.LASF111:
	.string	"_IO_lock_t"
.LASF48:
	.string	"_IO_FILE"
.LASF98:
	.string	"zzzz"
.LASF76:
	.string	"_mode"
.LASF81:
	.string	"_pos"
.LASF108:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF61:
	.string	"_markers"
.LASF39:
	.string	"__wakeup_seq"
.LASF17:
	.string	"pid_t"
.LASF20:
	.string	"pthread_t"
.LASF3:
	.string	"unsigned char"
.LASF14:
	.string	"__pid_t"
.LASF6:
	.string	"short int"
.LASF67:
	.string	"_vtable_offset"
.LASF18:
	.string	"__cpu_mask"
.LASF29:
	.string	"__count"
.LASF44:
	.string	"pthread_cond_t"
.LASF26:
	.string	"__pthread_internal_slist"
.LASF106:
	.string	"report_finished"
.LASF102:
	.string	"thread_ready"
.LASF85:
	.string	"burn"
.LASF96:
	.string	"ebbr"
.LASF2:
	.string	"char"
.LASF92:
	.string	"__cpu"
.LASF15:
	.string	"__time_t"
.LASF90:
	.string	"setaffinity"
.LASF79:
	.string	"_next"
.LASF13:
	.string	"__off64_t"
.LASF52:
	.string	"_IO_read_base"
.LASF60:
	.string	"_IO_save_end"
.LASF109:
	.string	"sleepers.c"
.LASF36:
	.string	"pthread_mutex_t"
.LASF71:
	.string	"__pad1"
.LASF72:
	.string	"__pad2"
.LASF73:
	.string	"__pad3"
.LASF24:
	.string	"__spins"
.LASF75:
	.string	"__pad5"
.LASF47:
	.string	"tv_usec"
.LASF77:
	.string	"_unused2"
.LASF107:
	.string	"stderr"
.LASF95:
	.string	"threads_spec"
.LASF91:
	.string	"single_cpu"
.LASF32:
	.string	"__nusers"
.LASF59:
	.string	"_IO_backup_base"
.LASF110:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/gdbserver_tests"
.LASF23:
	.string	"__pthread_slist_t"
.LASF93:
	.string	"argc"
.LASF19:
	.string	"cpu_set_t"
.LASF25:
	.string	"__list"
.LASF87:
	.string	"whoami"
.LASF31:
	.string	"__kind"
.LASF37:
	.string	"__futex"
.LASF94:
	.string	"argv"
.LASF53:
	.string	"_IO_write_base"
.LASF104:
	.string	"ready_mutex"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
